Package org.eclipse.net4j.util.factory

# Interface IFactoryKey

All Known Implementing Classes:
  `FactoryKey`

public interface IFactoryKey
Identifies a `factory` by `product group` and `type`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_FACTORY_TYPE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getProductGroup()`
`String`
`getType()`

## Field Details

### DEFAULT_FACTORY_TYPE

static final String DEFAULT_FACTORY_TYPE

Since:
  3.23
See Also:
  - Constant Field Values

## Method Details

### getProductGroup

String getProductGroup()

### getType

String getType()